---
title: Get a result
slug: monitor/get-a-result
docTags: 
createdAt: 2025-04-17T08:22:38.108Z
---

:::ApiMethodV2
```json
{
  "name": "Get a result",
  "method": "GET",
  "url": "https://api-sandbox.klavi.ai/monitor/v1/monitors/{id}/results/{resultId}",
  "description": "Get a result by resultId",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "uI_XhiARUo8liXtjWjmrv",
        "language": "curl",
        "code": "curl --location --globoff 'https://api-sandbox.klavi.ai/monitor/v1/monitors/{id}/results/{resultId}' \\\n--header 'Authorization: string'",
        "customLabel": ""
      },
      {
        "id": "V1h9TSFgEowpofHL-p4ra",
        "language": "nodejs",
        "code": "var request = require('request');\nvar options = {\n   'method': 'GET',\n   'url': 'https://api-sandbox.klavi.ai/monitor/v1/monitors/{id}/results/{id}/{resultId}',\n   'headers': {\n      'Authorization': 'string'\n   }\n};\nrequest(options, function (error, response) {\n   if (error) throw new Error(error);\n   console.log(response.body);\n});\n",
        "customLabel": ""
      },
      {
        "id": "Uxw26pRLEELatAu4Io5yy",
        "language": "javascript",
        "code": "var myHeaders = new Headers();\nmyHeaders.append(\"Authorization\", \"string\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api-sandbox.klavi.ai/monitor/v1/monitors/{id}/results/{id}/{resultId}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));",
        "customLabel": ""
      },
      {
        "id": "dB_YFkimzPOTYgx34CVZz",
        "language": "python",
        "code": "import requests\n\nurl = \"https://api-sandbox.klavi.ai/monitor/v1/monitors/{id}/results/{id}/{resultId}\"\n\npayload = {}\nheaders = {\n   'Authorization': 'string'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "6fkp2FLgavWgBlrmzP1hO",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"net/http\"\n\nurl = URI(\"https://api-sandbox.klavi.ai/monitor/v1/monitors/{id}/results/{id}/{resultId}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"Authorization\"] = \"string\"\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "uI_XhiARUo8liXtjWjmrv"
  },
  "results": {
    "languages": [
      {
        "id": "YE_c6xVDzpaFcfFMet9kK",
        "language": "200",
        "customLabel": "",
        "code": "{\n    \"id\": \"496db575-cf5c-426e-b8ff-ba9cd5bf01e4\",\n    \"name\": \"monitore_rollout_20250317_2025-03-24_6\",\n    \"createAt\": \"2025-03-24T06:00:00Z\",\n    \"download\": {\n        \"url\": \"https://amzn-s3-demo-bucket.s3.amazonaws.com/result\",\n        \"httpMethod\": \"GET\"\n    }\n}"
      }
    ],
    "selectedLanguageId": "YE_c6xVDzpaFcfFMet9kK"
  },
  "request": {
    "pathParameters": [
      {
        "name": "id",
        "kind": "required",
        "type": "string",
        "description": "ID of the monitor",
        "": "ID of the monitor"
      },
      {
        "name": "resultId",
        "kind": "required",
        "type": "string",
        "description": "ID of the result",
        "": "ID of the result"
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "name": "Authorization",
        "kind": "required",
        "type": "string",
        "description": "Bearer access token, it returned by the /auth",
        "": "Bearer access token, it returned by the /auth"
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "hasTryItOut": false
}
```
:::

